# module Generators::MarkUp

We’re monkey patching RDoc markup to allow lowercase class1::class2::class3 crossref hyperlinking

### Public Instance Methods

markup(str, remove_para=false)
Also aliased as: old_markup
Alias for: new_markup
new_markup(str, remove_para=false) click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 39
    def new_markup(str, remove_para=false)
      first = @markup.nil?
      res = old_markup(str, remove_para)
      if first and not @markup.nil?
        @markup.add_special(/\b([a-z]\w+(::\w+)*)/,:CROSSREF)
        # we need to call it again, since we added a rule
        res = old_markup(str, remove_para)
      end
      res
    end

Also aliased as: markup
old_markup(str, remove_para=false)
Alias for: markup